Skip to main content

Execution Reports – Cancels

After submitting an Order Cancel Request, Paxos sends two Execution Reports confirming the cancellation process:
  • Pending Cancel (ExecType (150) = 6) — Acknowledgement that the cancel request was received.
  • Canceled (ExecType (150) = 4) — Confirmation that the order has been canceled.
A Pending Cancel is not a guarantee of cancellation. The order may fill before the cancel is processed. If cancellation fails, an Order Cancel Reject is returned instead.

Standard FIX Fields

TagFieldWhen PresentNotes
8BeginStringAlwaysStandard FIX header
9BodyLengthAlwaysStandard FIX header
35MsgTypeAlways8 (Execution Report)
49SenderCompIDAlwaysStandard FIX header
56TargetCompIDAlwaysStandard FIX header
34MsgSeqNumAlwaysStandard FIX header
52SendingTimeAlwaysStandard FIX header

Standard FIX Trailer

TagFieldWhen PresentNotes
10CheckSumAlways

Response Fields

ExecType (150) = 6, OrdStatus (39) = 6 (Pending Cancel).Always Present
TagFieldWhen PresentNotes
54SideAlways1 = Buy, 2 = Sell
150ExecTypeAlways6 (Pending Cancel)
32lastSharesAlways0
109ClientIDAlways
1AccountAlways
31LastPxAlways0
151LeavesQtyAlwaysRemaining unfilled quantity
60TransactTimeAlways
58TextAlwaysOrder Cancel Pending
20ExecTransTypeAlways0 (New)
55SymbolAlwaysCurrency pair
17ExecIDAlways
14CumQtyAlwaysTotal filled quantity
11ClOrdIDAlwaysClOrdID from the cancel request
44PriceAlways
6AvgPxAlwaysAverage fill price
41OrigClOrdIDAlwaysOriginal order ClOrdID
40OrdTypeAlways1 = Market, 2 = Limit, 3 = Stop Market, 4 = Stop Limit
39OrdStatusAlways6 (Pending Cancel)
37OrderIDAlways
381GrossTradeAmtAlwayslastShares (32) * LastPx (31)
59TimeInForceAlways1 = GTC, 3 = IOC, 4 = FOK, 6 = GTT
Conditional
TagFieldWhen PresentNotes
38OrderQtyLimit and market sell ordersBase quantity
152CashOrderQtyMarket buy ordersFiat notional
18ExecInstPost-only orders6 (Post-Only)
126ExpireTimeGTT ordersYYYYMMDD-HH:MM:SS format
Brokerage Clients
TagFieldWhen PresentNotes
5047AllocBrokerAccountIDBrokerage clientsIdentityAccountId
50SenderSubIDBrokerage clientsIdentityId
5074FundCommissionOptionBrokerage clients
5000RecipientProfileIdBrokerage clientsProfileID that receives settled currency
Optional
TagFieldWhen PresentNotes
2362SelfMatchPreventionIDIf enabledPrevents self-matching. Up to 36 characters. Requires additional permissions.
See also: Order Cancel Request and Order Cancel Reject.